Bug 110757 - bad source code
bad source code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-libs (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 09:51 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 14:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 09:51:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

I have just tried to compile package gnome-libs-1_4_1_2_90-34 from
Fedora.

The compiler said

test.c:59: warning: format argument is not a pointer (arg 2)

The source code is

        printf ("visited: %s\n", cbs->visited);

But according to file gtk-xmhtml/HTML.h, visited is of type Boolean,
which is not a string for %s.


Version-Release number of selected component (if applicable):
gnome-libs-1_4_1_2_90-34 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:
Comment 1 Havoc Pennington 2004-05-25 14:21:45 EDT
This is just an unused test program in a legacy/deprecated compat
library, so won't bother to patch. Thanks for the report though.

Note You need to log in before you can comment on or make changes to this bug.